<html>
<head>
<title>Ogre::Particle Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Particle.html">Particle</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::Particle Class Reference<div class="ingroups"><a class="el" href="group__Effects.html">Effects</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::Particle" --><!-- doxytag: inherits="Ogre::AllocatedObject" -->
<p>Class representing a single particle instance.  
 <a href="classOgre_1_1Particle.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreParticle_8h_source.html">OgreParticle.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::Particle:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1Particle__inherit__graph.gif" border="0" usemap="#Ogre_1_1Particle_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1Particle_inherit__map" id="Ogre_1_1Particle_inherit__map">
<area shape="rect" id="node5" href="classOgre_1_1ParticleEmitter.html" title="Abstract class defining the interface to be implemented by particle emitters." alt="" coords="5,160,149,189"/><area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="44,5,111,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1Particle-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#a1c17e03466492e1983a439eb7e540e25">ParticleType</a> { <a class="el" href="classOgre_1_1Particle.html#a1c17e03466492e1983a439eb7e540e25af72cab2ce3d47d8aa4ec32797372bd81">Visual</a>, 
<a class="el" href="classOgre_1_1Particle.html#a1c17e03466492e1983a439eb7e540e25a42e46625a50eb279c03f665fa715d749">Emitter</a>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Type of particle.  <a href="classOgre_1_1Particle.html#a1c17e03466492e1983a439eb7e540e25">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#ac8af4974850cd869b3f2331927dce745">Particle</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#a6a2bc4941c3c346f6d9936e447dde3c9">setDimensions</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> width, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> height)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the width and height for this particle.  <a href="#a6a2bc4941c3c346f6d9936e447dde3c9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#a8f4a78d8b0adf3475c34f8f5627d13cd">hasOwnDimensions</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if this particle deviates from the <a class="el" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a>'s default dimensions (i.e.  <a href="#a8f4a78d8b0adf3475c34f8f5627d13cd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#a5290732791067176c46213f202e7c825">getOwnWidth</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieves the particle's personal width, if hasOwnDimensions is true.  <a href="#a5290732791067176c46213f202e7c825"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#ae3cbb490ad08cdee104e99757fe950a6">getOwnHeight</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieves the particle's personal width, if hasOwnDimensions is true.  <a href="#ae3cbb490ad08cdee104e99757fe950a6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#abfea8fc856e37f26eb5901e930c7b21f">setRotation</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;rad)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the current rotation.  <a href="#abfea8fc856e37f26eb5901e930c7b21f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#a7b0d81161cc9001be6d9d5f6014ef0a7">getRotation</a> (void) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#a58bee75a698865e094bd338ad260ff8a">_notifyOwner</a> (<a class="el" href="classOgre_1_1ParticleSystem.html">ParticleSystem</a> *owner)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal method for notifying the particle of it's owner.  <a href="#a58bee75a698865e094bd338ad260ff8a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#adbb195c8ac77dac1051a927d744034a5">_notifyVisualData</a> (<a class="el" href="classOgre_1_1ParticleVisualData.html">ParticleVisualData</a> *vis)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal method for notifying the particle of it's optional visual data.  <a href="#adbb195c8ac77dac1051a927d744034a5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ParticleVisualData.html">ParticleVisualData</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#abcc488e921cb51541564743724b45cba">getVisualData</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the optional visual data associated with the class.  <a href="#abcc488e921cb51541564743724b45cba"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#a44700655800282c23c7f3f97debfacf7">resetDimensions</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Utility method to reset this particle.  <a href="#a44700655800282c23c7f3f97debfacf7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#ac4a7e742d6abd51a9dceaec92eb0e23a">mOwnDimensions</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Does this particle have it's own dimensions?  <a href="#ac4a7e742d6abd51a9dceaec92eb0e23a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#adf524dfe79984bbdeb8130f5c0348fdb">mWidth</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Personal width if mOwnDimensions == true.  <a href="#adf524dfe79984bbdeb8130f5c0348fdb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#a93027e6a8be2be918488edf6c88217c0">mHeight</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Personal height if mOwnDimensions == true.  <a href="#a93027e6a8be2be918488edf6c88217c0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Radian.html">Radian</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#a2d3471733bab703d13c19a7408a09c4c">rotation</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Current rotation value.  <a href="#a2d3471733bab703d13c19a7408a09c4c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#a2e4517ab1b59795b66fef4b8aefbde28">position</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">World position.  <a href="#a2e4517ab1b59795b66fef4b8aefbde28"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#ad096a8561ce604af5262b1bb2aeee56a">direction</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Direction (and speed)  <a href="#ad096a8561ce604af5262b1bb2aeee56a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#af0a9c1c6fed9b18ff0f0c6d27fe67e23">colour</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Current colour.  <a href="#af0a9c1c6fed9b18ff0f0c6d27fe67e23"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#a11f740b29bc51425c987632d037e3da9">timeToLive</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Time to live, number of seconds left of particles natural life.  <a href="#a11f740b29bc51425c987632d037e3da9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#a50c7f1900cf53966599cd9ad53c9b199">totalTimeToLive</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Total Time to live, number of seconds of particles natural life.  <a href="#a50c7f1900cf53966599cd9ad53c9b199"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Radian.html">Radian</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#a6c340715b6b34951ac5b09ece49a93f1">rotationSpeed</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Speed of rotation in radians/sec.  <a href="#a6c340715b6b34951ac5b09ece49a93f1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Particle.html#a1c17e03466492e1983a439eb7e540e25">ParticleType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#a193b1bf36fb1fae4ed7f2a24dc6b50bd">particleType</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Determines the type of particle.  <a href="#a193b1bf36fb1fae4ed7f2a24dc6b50bd"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ParticleSystem.html">ParticleSystem</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#abdb83d31d2f73646b23a82fa8dddb2ef">mParentSystem</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent <a class="el" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a>.  <a href="#abdb83d31d2f73646b23a82fa8dddb2ef"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ParticleVisualData.html">ParticleVisualData</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html#a6484d779038d54ca579b9939181c6ecf">mVisual</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Additional visual data you might want to associate with the <a class="el" href="classOgre_1_1Particle.html" title="Class representing a single particle instance.">Particle</a>.  <a href="#a6484d779038d54ca579b9939181c6ecf"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Class representing a single particle instance. </p>

<p>Definition at line <a class="el" href="OgreParticle_8h_source.html#l00060">60</a> of file <a class="el" href="OgreParticle_8h_source.html">OgreParticle.h</a>.</p>
</div><hr/><h2>Member Enumeration Documentation</h2>
<a class="anchor" id="a1c17e03466492e1983a439eb7e540e25"></a><!-- doxytag: member="Ogre::Particle::ParticleType" ref="a1c17e03466492e1983a439eb7e540e25" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1Particle.html#a1c17e03466492e1983a439eb7e540e25">Ogre::Particle::ParticleType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Type of particle. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="a1c17e03466492e1983a439eb7e540e25af72cab2ce3d47d8aa4ec32797372bd81"></a><!-- doxytag: member="Visual" ref="a1c17e03466492e1983a439eb7e540e25af72cab2ce3d47d8aa4ec32797372bd81" args="" -->Visual</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a1c17e03466492e1983a439eb7e540e25a42e46625a50eb279c03f665fa715d749"></a><!-- doxytag: member="Emitter" ref="a1c17e03466492e1983a439eb7e540e25a42e46625a50eb279c03f665fa715d749" args="" -->Emitter</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreParticle_8h_source.html#l00069">69</a> of file <a class="el" href="OgreParticle_8h_source.html">OgreParticle.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ac8af4974850cd869b3f2331927dce745"></a><!-- doxytag: member="Ogre::Particle::Particle" ref="ac8af4974850cd869b3f2331927dce745" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Particle.html#ac8af4974850cd869b3f2331927dce745">Ogre::Particle::Particle</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreParticle_8h_source.html#l00100">100</a> of file <a class="el" href="OgreParticle_8h_source.html">OgreParticle.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a58bee75a698865e094bd338ad260ff8a"></a><!-- doxytag: member="Ogre::Particle::_notifyOwner" ref="a58bee75a698865e094bd338ad260ff8a" args="(ParticleSystem *owner)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Particle.html#a58bee75a698865e094bd338ad260ff8a">Ogre::Particle::_notifyOwner</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ParticleSystem.html">ParticleSystem</a> *&#160;</td>
          <td class="paramname"><em>owner</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Internal method for notifying the particle of it's owner. </p>

</div>
</div>
<a class="anchor" id="adbb195c8ac77dac1051a927d744034a5"></a><!-- doxytag: member="Ogre::Particle::_notifyVisualData" ref="adbb195c8ac77dac1051a927d744034a5" args="(ParticleVisualData *vis)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Particle.html#adbb195c8ac77dac1051a927d744034a5">Ogre::Particle::_notifyVisualData</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ParticleVisualData.html">ParticleVisualData</a> *&#160;</td>
          <td class="paramname"><em>vis</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Internal method for notifying the particle of it's optional visual data. </p>

<p>Definition at line <a class="el" href="OgreParticle_8h_source.html#l00141">141</a> of file <a class="el" href="OgreParticle_8h_source.html">OgreParticle.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae3cbb490ad08cdee104e99757fe950a6"></a><!-- doxytag: member="Ogre::Particle::getOwnHeight" ref="ae3cbb490ad08cdee104e99757fe950a6" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Particle.html#ae3cbb490ad08cdee104e99757fe950a6">Ogre::Particle::getOwnHeight</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Retrieves the particle's personal width, if hasOwnDimensions is true. </p>

<p>Definition at line <a class="el" href="OgreParticle_8h_source.html#l00128">128</a> of file <a class="el" href="OgreParticle_8h_source.html">OgreParticle.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5290732791067176c46213f202e7c825"></a><!-- doxytag: member="Ogre::Particle::getOwnWidth" ref="a5290732791067176c46213f202e7c825" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Particle.html#a5290732791067176c46213f202e7c825">Ogre::Particle::getOwnWidth</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Retrieves the particle's personal width, if hasOwnDimensions is true. </p>

<p>Definition at line <a class="el" href="OgreParticle_8h_source.html#l00125">125</a> of file <a class="el" href="OgreParticle_8h_source.html">OgreParticle.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7b0d81161cc9001be6d9d5f6014ef0a7"></a><!-- doxytag: member="Ogre::Particle::getRotation" ref="a7b0d81161cc9001be6d9d5f6014ef0a7" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Radian.html">Radian</a>&amp; <a class="el" href="classOgre_1_1Particle.html#a7b0d81161cc9001be6d9d5f6014ef0a7">Ogre::Particle::getRotation</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreParticle_8h_source.html#l00133">133</a> of file <a class="el" href="OgreParticle_8h_source.html">OgreParticle.h</a>.</p>

</div>
</div>
<a class="anchor" id="abcc488e921cb51541564743724b45cba"></a><!-- doxytag: member="Ogre::Particle::getVisualData" ref="abcc488e921cb51541564743724b45cba" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ParticleVisualData.html">ParticleVisualData</a>* <a class="el" href="classOgre_1_1Particle.html#abcc488e921cb51541564743724b45cba">Ogre::Particle::getVisualData</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the optional visual data associated with the class. </p>

<p>Definition at line <a class="el" href="OgreParticle_8h_source.html#l00144">144</a> of file <a class="el" href="OgreParticle_8h_source.html">OgreParticle.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8f4a78d8b0adf3475c34f8f5627d13cd"></a><!-- doxytag: member="Ogre::Particle::hasOwnDimensions" ref="a8f4a78d8b0adf3475c34f8f5627d13cd" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Particle.html#a8f4a78d8b0adf3475c34f8f5627d13cd">Ogre::Particle::hasOwnDimensions</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns true if this particle deviates from the <a class="el" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a>'s default dimensions (i.e. </p>
<p>if the particle::setDimensions method has been called for this instance). </p>
<dl class="see"><dt><b>See also:</b></dt><dd>particle::setDimensions </dd></dl>

<p>Definition at line <a class="el" href="OgreParticle_8h_source.html#l00122">122</a> of file <a class="el" href="OgreParticle_8h_source.html">OgreParticle.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::Particle::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::Particle::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::Particle::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::Particle::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::Particle::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::Particle::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::Particle::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::Particle::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::Particle::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::Particle::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a44700655800282c23c7f3f97debfacf7"></a><!-- doxytag: member="Ogre::Particle::resetDimensions" ref="a44700655800282c23c7f3f97debfacf7" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Particle.html#a44700655800282c23c7f3f97debfacf7">Ogre::Particle::resetDimensions</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Utility method to reset this particle. </p>

<p>Referenced by <a class="el" href="OgreParticleEmitter_8h_source.html#l00392">Ogre::ParticleEmitter::_initParticle()</a>.</p>

</div>
</div>
<a class="anchor" id="a6a2bc4941c3c346f6d9936e447dde3c9"></a><!-- doxytag: member="Ogre::Particle::setDimensions" ref="a6a2bc4941c3c346f6d9936e447dde3c9" args="(Real width, Real height)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Particle.html#a6a2bc4941c3c346f6d9936e447dde3c9">Ogre::Particle::setDimensions</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>height</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets the width and height for this particle. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Note that it is most efficient for every particle in a <a class="el" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a> to have the same dimensions. If you choose to alter the dimensions of an individual particle the set will be less efficient. Do not call this method unless you really need to have different particle dimensions within the same set. Otherwise just call the <a class="el" href="classOgre_1_1ParticleSystem.html#a7acccf2da0f9ce63a0af079e809da00b" title="Sets the default dimensions of the particles in this set.">ParticleSystem::setDefaultDimensions</a> method instead. </dd></dl>

</div>
</div>
<a class="anchor" id="abfea8fc856e37f26eb5901e930c7b21f"></a><!-- doxytag: member="Ogre::Particle::setRotation" ref="abfea8fc856e37f26eb5901e930c7b21f" args="(const Radian &amp;rad)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Particle.html#abfea8fc856e37f26eb5901e930c7b21f">Ogre::Particle::setRotation</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>rad</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets the current rotation. </p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="af0a9c1c6fed9b18ff0f0c6d27fe67e23"></a><!-- doxytag: member="Ogre::Particle::colour" ref="af0a9c1c6fed9b18ff0f0c6d27fe67e23" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> <a class="el" href="classOgre_1_1Particle.html#af0a9c1c6fed9b18ff0f0c6d27fe67e23">Ogre::Particle::colour</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Current colour. </p>

<p>Definition at line <a class="el" href="OgreParticle_8h_source.html#l00090">90</a> of file <a class="el" href="OgreParticle_8h_source.html">OgreParticle.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad096a8561ce604af5262b1bb2aeee56a"></a><!-- doxytag: member="Ogre::Particle::direction" ref="ad096a8561ce604af5262b1bb2aeee56a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="classOgre_1_1Particle.html#ad096a8561ce604af5262b1bb2aeee56a">Ogre::Particle::direction</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Direction (and speed) </p>

<p>Definition at line <a class="el" href="OgreParticle_8h_source.html#l00088">88</a> of file <a class="el" href="OgreParticle_8h_source.html">OgreParticle.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93027e6a8be2be918488edf6c88217c0"></a><!-- doxytag: member="Ogre::Particle::mHeight" ref="a93027e6a8be2be918488edf6c88217c0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Particle.html#a93027e6a8be2be918488edf6c88217c0">Ogre::Particle::mHeight</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Personal height if mOwnDimensions == true. </p>

<p>Definition at line <a class="el" href="OgreParticle_8h_source.html#l00080">80</a> of file <a class="el" href="OgreParticle_8h_source.html">OgreParticle.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4a7e742d6abd51a9dceaec92eb0e23a"></a><!-- doxytag: member="Ogre::Particle::mOwnDimensions" ref="ac4a7e742d6abd51a9dceaec92eb0e23a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Particle.html#ac4a7e742d6abd51a9dceaec92eb0e23a">Ogre::Particle::mOwnDimensions</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Does this particle have it's own dimensions? </p>

<p>Definition at line <a class="el" href="OgreParticle_8h_source.html#l00076">76</a> of file <a class="el" href="OgreParticle_8h_source.html">OgreParticle.h</a>.</p>

</div>
</div>
<a class="anchor" id="abdb83d31d2f73646b23a82fa8dddb2ef"></a><!-- doxytag: member="Ogre::Particle::mParentSystem" ref="abdb83d31d2f73646b23a82fa8dddb2ef" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ParticleSystem.html">ParticleSystem</a>* <a class="el" href="classOgre_1_1Particle.html#abdb83d31d2f73646b23a82fa8dddb2ef">Ogre::Particle::mParentSystem</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Parent <a class="el" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a>. </p>

<p>Definition at line <a class="el" href="OgreParticle_8h_source.html#l00064">64</a> of file <a class="el" href="OgreParticle_8h_source.html">OgreParticle.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6484d779038d54ca579b9939181c6ecf"></a><!-- doxytag: member="Ogre::Particle::mVisual" ref="a6484d779038d54ca579b9939181c6ecf" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ParticleVisualData.html">ParticleVisualData</a>* <a class="el" href="classOgre_1_1Particle.html#a6484d779038d54ca579b9939181c6ecf">Ogre::Particle::mVisual</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Additional visual data you might want to associate with the <a class="el" href="classOgre_1_1Particle.html" title="Class representing a single particle instance.">Particle</a>. </p>

<p>Definition at line <a class="el" href="OgreParticle_8h_source.html#l00066">66</a> of file <a class="el" href="OgreParticle_8h_source.html">OgreParticle.h</a>.</p>

</div>
</div>
<a class="anchor" id="adf524dfe79984bbdeb8130f5c0348fdb"></a><!-- doxytag: member="Ogre::Particle::mWidth" ref="adf524dfe79984bbdeb8130f5c0348fdb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Particle.html#adf524dfe79984bbdeb8130f5c0348fdb">Ogre::Particle::mWidth</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Personal width if mOwnDimensions == true. </p>

<p>Definition at line <a class="el" href="OgreParticle_8h_source.html#l00078">78</a> of file <a class="el" href="OgreParticle_8h_source.html">OgreParticle.h</a>.</p>

</div>
</div>
<a class="anchor" id="a193b1bf36fb1fae4ed7f2a24dc6b50bd"></a><!-- doxytag: member="Ogre::Particle::particleType" ref="a193b1bf36fb1fae4ed7f2a24dc6b50bd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Particle.html#a1c17e03466492e1983a439eb7e540e25">ParticleType</a> <a class="el" href="classOgre_1_1Particle.html#a193b1bf36fb1fae4ed7f2a24dc6b50bd">Ogre::Particle::particleType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Determines the type of particle. </p>

<p>Definition at line <a class="el" href="OgreParticle_8h_source.html#l00098">98</a> of file <a class="el" href="OgreParticle_8h_source.html">OgreParticle.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2e4517ab1b59795b66fef4b8aefbde28"></a><!-- doxytag: member="Ogre::Particle::position" ref="a2e4517ab1b59795b66fef4b8aefbde28" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="classOgre_1_1Particle.html#a2e4517ab1b59795b66fef4b8aefbde28">Ogre::Particle::position</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>World position. </p>

<p>Definition at line <a class="el" href="OgreParticle_8h_source.html#l00086">86</a> of file <a class="el" href="OgreParticle_8h_source.html">OgreParticle.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2d3471733bab703d13c19a7408a09c4c"></a><!-- doxytag: member="Ogre::Particle::rotation" ref="a2d3471733bab703d13c19a7408a09c4c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Radian.html">Radian</a> <a class="el" href="classOgre_1_1Particle.html#a2d3471733bab703d13c19a7408a09c4c">Ogre::Particle::rotation</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Current rotation value. </p>

<p>Definition at line <a class="el" href="OgreParticle_8h_source.html#l00082">82</a> of file <a class="el" href="OgreParticle_8h_source.html">OgreParticle.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6c340715b6b34951ac5b09ece49a93f1"></a><!-- doxytag: member="Ogre::Particle::rotationSpeed" ref="a6c340715b6b34951ac5b09ece49a93f1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Radian.html">Radian</a> <a class="el" href="classOgre_1_1Particle.html#a6c340715b6b34951ac5b09ece49a93f1">Ogre::Particle::rotationSpeed</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Speed of rotation in radians/sec. </p>

<p>Definition at line <a class="el" href="OgreParticle_8h_source.html#l00096">96</a> of file <a class="el" href="OgreParticle_8h_source.html">OgreParticle.h</a>.</p>

</div>
</div>
<a class="anchor" id="a11f740b29bc51425c987632d037e3da9"></a><!-- doxytag: member="Ogre::Particle::timeToLive" ref="a11f740b29bc51425c987632d037e3da9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Particle.html#a11f740b29bc51425c987632d037e3da9">Ogre::Particle::timeToLive</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Time to live, number of seconds left of particles natural life. </p>

<p>Definition at line <a class="el" href="OgreParticle_8h_source.html#l00092">92</a> of file <a class="el" href="OgreParticle_8h_source.html">OgreParticle.h</a>.</p>

</div>
</div>
<a class="anchor" id="a50c7f1900cf53966599cd9ad53c9b199"></a><!-- doxytag: member="Ogre::Particle::totalTimeToLive" ref="a50c7f1900cf53966599cd9ad53c9b199" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Particle.html#a50c7f1900cf53966599cd9ad53c9b199">Ogre::Particle::totalTimeToLive</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Total Time to live, number of seconds of particles natural life. </p>

<p>Definition at line <a class="el" href="OgreParticle_8h_source.html#l00094">94</a> of file <a class="el" href="OgreParticle_8h_source.html">OgreParticle.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreParticle_8h_source.html">OgreParticle.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:00
</p>
</body>
</html>
